<?php
$article_class = 'blog-post row blog m0';

if( is_single() ){
    $article_class .= " single_post";
}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class($article_class); ?>>
    <?php
    if( has_post_thumbnail() ){
        $img = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ), 'post-thumb' );
        echo '<div class="row m0 image">
                <img src="'.$img.'" alt="">
            </div>';
    }
    ?>
    <div class="media">
        <div class="media-left post_cat">
            <a href="<?php the_permalink(); ?>">
                <img src="<?php echo get_template_directory_uri(); ?>/images/icons/blog/4.png" alt="">
            </a>
        </div>
        <div class="media-body">
            <div class="row m0 post_meta">
                <div class="fleft date"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/blog/1.png" alt="Date"><?php the_time('F d, Y') ?></div>
                <div class="fleft comment"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/blog/2.png" alt="Comment"><a href="#comments"><?php comments_number('No Comment', '1 Comment', '% Comments'); ?></a></div>
                <div class="fleft author"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/blog/3.png" alt="Author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>">By <?php the_author(); ?></a></div>
            </div>
            <a href="<?php the_permalink(); ?>" class="post_title">
                <h5><?php the_title(); ?></h5>
            </a>
            <?php if( !is_single() ): ?>
            <p class="post_text"><?php
                if(strpos($post->post_content, '<!--more-->') > 0) :
                    the_content(false);
                elseif(has_excerpt()) :
                    the_excerpt();
                else :
                    printf( '%s', wp_trim_words( wp_strip_all_tags(do_shortcode(get_the_content())), 55 ) );
                endif;
            ?></p>
            <a href="<?php the_permalink(); ?>" class="read_more">Read More</a>
            <?php endif; ?>
        </div>
    </div>

    <?php if( is_single() ): ?>
        <div class="row m0 post_content">
            <?php the_content();
                wp_link_pages( array(
                    'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'themeton' ) . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                    'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'themeton' ) . ' </span>%',
                    'separator'   => '<span class="screen-reader-text">, </span>',
                ) );
            ?>
        </div>
    <?php endif; ?>
</div>


<?php if( is_single() ): ?>
<div class="row m0 shares">
    <div class="fleft share_count"><?php _e('Social Shares','themeton'); ?></div>
    <ul class="fright share_icon list-inline">
    <?php
    $s_links = TPL::get_social_links();
    foreach($s_links as $l){
        echo "<li>$l</li>";
    }
    ?>
    </ul>
</div>
<nav class="paginations">
    <ul class="pager">
        <li class="previous"><?php echo TPL::get_prev_post(); ?></li>
        <li class="next"><?php echo TPL::get_next_post(); ?></li>
    </ul>
</nav>
<?php endif; ?>

