<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

    <!--[if lt IE 9]>
        <script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.min.js"></script>
        <script src="<?php echo get_template_directory_uri(); ?>/js/respond.min.js"></script>
    <![endif]-->

    <?php wp_head(); ?>
    
</head>

<body <?php body_class('default home'); ?>>


    <header class="row">
        <?php if(TT::get_mod('topbar_enable') == 1): ?>  
            <div class="top_row row m0">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-6 tagLine">
                            <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('topbar_left')); ?>
                        </div>
                        <div class="col-sm-6">
                            <ul class="nav navbar-right">
                                <li><a href="<?php echo wp_login_url(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/top-bar/user.png" alt="Login icon">login / register</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div> <!--Top Row-->
        <?php endif; ?>
        <div class="logo_row row m0">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <a href="<?php echo home_url('/'); ?>" class="logo">
                            <img src="<?php echo esc_url( TT::get_mod('logo') ); ?>" alt="<?php bloginfo('name'); ?>">
                        </a>
                    </div>
                    <div class="col-sm-6">
                        <ul class="nav">
                            <?php if(TT::get_mod('header_phone') != null):  ?>
                                <li><a href="#"><span class="icon phone"></span><span class="first-word"><?php _e('Call','themeton'); ?></span>: <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('header_phone')); ?></a></li>
                            <?php endif; ?>
                            <?php if(TT::get_mod('header_email') != null):  ?>
                                <li><a href="mailto:<?php echo TT::get_mod('header_email'); ?>"><span class="icon email"></span><span class="first-word"><?php _e('Email','themeton'); ?></span>: <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('header_email')); ?></a></li>
                            <?php endif; ?>
                            <?php if(TT::get_mod('header_share_button') == 1): ?>
                                <li class="circle-button"><a href="<?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('header_share_button_link')); ?>"><span class="icon share"></span></a></li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div> <!--Logo Row-->
        <nav class="row menu_row m0">
            <div class="container">
                <div class="row">
                    <div class="search_form_area fright">
                        <form action="<?php echo home_url('/'); ?>" class="col-sm-6 search_form p0" method="get">
                            <div class="input-group">
                                <input type="search" class="form-control" name="s">
                                <span class="input-group-addon"><i class="fa fa-search"></i></span>
                            </div>
                        </form>
                        <?php if(TT::get_mod('menu_right_content_show') == 1): ?>
                            <a href="<?php echo TT::get_mod('menu_right_content_link'); ?>" class="col-sm-6 free_analysis">
                                <img src="<?php echo get_template_directory_uri(); ?>/images/icons/menu/free_analysis.png" alt=""> <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('menu_right_content')); ?>
                            </a>
                        <?php endif; ?>
                    </div> <!--Search And Analysis-->
                    <div class="fleft menu_area">
                        <button class="btn btn-primary visible-xs" type="button" data-toggle="collapse" data-target="#mainMenu" aria-expanded="false" aria-controls="mainMenu">
                            <i class="glyphicon glyphicon-th-large"></i> Menu
                        </button>
                        <div class="collapse navbar-collapse building-menu" id="mainMenu">
                            <?php
                                wp_nav_menu( array(
                                    'menu_class'        => 'nav navbar-nav',
                                    'theme_location'    => 'primary',
                                    'container'         => '',
                                    'fallback_cb'       => 'tt_primary_callback'
                                ) );
                            ?>
                        </div>
                    </div> <!--Menu Area-->
                </div>
            </div>
        </nav> <!--Menu Row-->
    </header>

