<?php

if (!function_exists('tt_customizer_options')):

    function tt_customizer_options() {

        $template_uri = get_template_directory_uri();

        $pages = array();
        $all_pages = get_pages();
        foreach ($all_pages as $page) {
            $pages[$page->ID] = $page->post_title;
        }

        $option = array(
            // General
            array(
                'type' => 'section',
                'id' => 'section_general',
                'label' => 'General',
                'desc' => '',
                'controls' => array(
                    array(
                        'type' => 'color',
                        'id' => 'baseColor',
                        'label' => 'Brand Primary Color',
                        'default' => getLessValue('baseColor'),
                        'desc' => 'The main aspect color that express menu active & hover, link hover, title border, pagination colors, quote format, tag link and more.'
                    ),
                    array(
                        'type' => 'color',
                        'id' => 'baseColor3',
                        'label' => 'Title Color',
                        'default' => getLessValue('baseColor3')
                    ),
                    array(
                        'type' => 'color',
                        'id' => 'baseColor2',
                        'label' => 'Text Color',
                        'default' => getLessValue('baseColor2')
                    ),

                    array(
                        'id' => 'baseFont',
                        'label' => 'Text Content Font',
                        'default' => getLessValue('baseFont'),
                        'type' => 'font'
                    ),
                    array(
                        'id' => 'baseFont2',
                        'label' => 'Title Font',
                        'default' => getLessValue('baseFont2'),
                        'type' => 'font'
                    ),
                    array(
                        'id' => 'baseFont3',
                        'label' => 'Big Title Font',
                        'default' => getLessValue('baseFont3'),
                        'type' => 'font'
                    )

                )
            ),// end General
            // Branding & Logo
            array(
                'type' => 'section',
                'id' => 'section_header_style',
                'label' => 'Brand Logo',
                'desc' => '',
                'controls' => array(
                    array(
                        'type' => 'image',
                        'id' => 'logo',
                        'label' => 'Logo Image',
                        'default' => $template_uri . "/images/logo.png"
                    ),
                    array(
                        'type' => 'pixel',
                        'id' => 'logo_width',
                        'label' => 'Logo Width',
                        'default' => getLessValue('logo_width'),
                        'desc' => 'Original logo width and this option is benefitial for your retina logo sizing. Just click on above image and see the Attachment details. Also you can use this option for making space for your text logo.'
                    ),
                    array(
                        'id' => 'favicon',
                        'label' => 'Favicon',
                        'desc' => '16x16 pixel, PNG/ICO/JPG',
                        'default' => $template_uri . "/images/favicon.png",
                        'type' => 'image'
                    ),
                    array(
                        'type' => 'image',
                        'id' => 'logo_admin',
                        'label' => 'Login Page Logo',
                        'desc' => 'Up to 274x95px',
                        'default' => $template_uri . "/images/logo-admin.png"
                    ),
                )
            ),// end Branding
            // Advanced Options
            array(
                'id' => 'panel_areas',
                'label' => 'Advanced Options',
                'type' => 'panel',
                'desc' => 'Theme logo general color, font, typograpy styles',
                'sections' => array(
                    //Topbar
                    array(
                        'type' => 'section',
                        'id' => 'section_topbar',
                        'label' => 'Topbar',
                        'desc' => '',
                        'controls' => array(
                            array(
                                'id' => 'topbar_enable',
                                'label' => 'Topbar Enable',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'type' => 'color',
                                'id' => 'topbar_bg',
                                'label' => 'Background Color',
                                'default' => '#303030'
                            ),
                            array(
                                'id' => 'topbar_left',
                                'label' => 'Topbar Left Content',
                                'default' => '<i class="fa fa-smile-o"></i> best digital marketing theme forever!',
                                'type' => 'textarea'
                            ),
                        )
                    ),
                    // Header
                    array(
                        'type' => 'section',
                        'id' => 'section_header',
                        'label' => 'Header',
                        'desc' => '',
                        'controls' => array(
                            array(
                                'type' => 'color',
                                'id' => 'headerBgColor',
                                'label' => 'Header Background Color',
                                'default' => getLessValue('headerBgColor')
                            ),
                            array(
                                'type' => 'color',
                                'id' => 'menuColor',
                                'label' => 'Menu Color',
                                'default' => getLessValue('menuColor'),
                                'desc' => 'This is a menu link color and Menu background inherits brand primary color.'
                            ),
                            array(
                                'id' => 'menu_right_content_show',
                                'label' => 'Menu Right Content Enable',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'menu_right_content',
                                'label' => 'Menu Right Content',
                                'default' => 'free seo analysis',
                                'type' => 'text'
                            ),
                            array(
                                'id' => 'menu_right_content_link',
                                'label' => 'Menu Right Content Link',
                                'default' => '#!',
                                'type' => 'text'
                            ),
                            array(
                                'id' => 'header_phone',
                                'label' => 'Phone number',
                                'default' => '+(61) 123 456 7890',
                                'type' => 'text'
                            ),
                            array(
                                'id' => 'header_email',
                                'label' => 'Email',
                                'default' => 'Example@domain.com',
                                'type' => 'text'
                            ),
                            array(
                                'id' => 'header_share_button',
                                'label' => 'Show share button',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'header_share_button_link',
                                'label' => 'Share link',
                                'default' => '#!',
                                'type' => 'text_area'
                            ),
                        )
                    ), // end Header

                    // Page Title
                    array(
                        'type' => 'section',
                        'id' => 'page_title',
                        'label' => 'Page Title',
                        'controls' => array(
                            array(
                                'id' => 'page_title_top',
                                'label' => 'Title Top Space',
                                'default' => '128',
                                'type' => 'pixel'
                            ),
                            array(
                                'id' => 'page_title_bottom',
                                'label' => 'Title Bottom Space',
                                'default' => '128',
                                'type' => 'pixel'
                            ),
                            array(
                                'type' => 'color',
                                'id' => 'page_title_bg_color',
                                'label' => 'Background Color',
                                'default' => '#363636'
                            ),
                            array(
                                'type' => 'text',
                                'id' => 'page_title_alpha',
                                'label' => 'Overlay Opacity',
                                'default' => '0',
                                'desc'  => '[0, 0.2 ... 1]'
                            ),
                            array(
                                'id' => 'page_title_image',
                                'label' => 'Background Image',
                                'default' => $template_uri.'/images/page-cover.jpg|no-repeat|center top|scroll',
                                'type' => 'bg_image'
                            )
                        ),
                    ), //end Page Title
                    
                    // Footer
                    array(
                        'id' => 'section_footer',
                        'label' => 'Footer',
                        'controls' => array(
                            array(
                                'id' => 'footer',
                                'label' => 'Enable Footer',
                                'default' => '1',
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'footer_widget_num',
                                'label' => 'Footer Style',
                                'default' => '3',
                                'type' => 'select',
                                'choices' => array('1' => 'Full', '2' => '2 Columns', '3' => '3 Columns', '4' => '4 Columns', '5' => '1/2 + 1/4 + 1/4', '6' => '1/4 + 1/4 + 1/2')
                            ),
                            array(
                                'id' => 'footer-background',
                                'label' => 'Footer Background Color',
                                'default' => '#2a2f36',
                                'desc' => '',
                                'type' => 'color'
                            ),
                            array(
                                'id' => 'footer_background_image',
                                'label' => 'Background Image',
                                'default' => $template_uri.'/images/footer-map.png|no-repeat|center top|scroll',
                                'type' => 'bg_image'
                            ),
                            array(
                                'id' => 'footer-widget-title-color',
                                'label' => 'Footer Title Color',
                                'default' => '#fff',
                                'type' => 'color',
                                'desc' => 'Widget title and H1-H6 tags.'
                            ),
                            array(
                                'id' => 'footer-text-color',
                                'label' => 'Footer Text Color',
                                'default' => '#aaa',
                                'type' => 'color'
                            ),
                            array(
                                'id' => 'footer-link-color',
                                'label' => 'Footer Link Color',
                                'default' => '#aaaaaa',
                                'desc' => '10% darker for Hover color',
                                'type' => 'color'
                            ),
                            array(
                                'id' => 'copyright_content',
                                'label' => 'CopyRight Content',
                                'default' => 'Copyright © 2015 <a href="#">Seowave</a>. All Rights Reserved.',
                                'desc' => '',
                                'type' => 'textarea'
                            ),
                            array(
                                'id' => 'copyright_background',
                                'label' => 'CopyRight Color',
                                'default' => '#22262c',
                                'desc' => '',
                                'type' => 'color'
                            ),
                            array(
                                'id' => 'sub_title_sub_footer',
                                'type' => 'sub_title',
                                'label' => 'Contact Section',
                                'default' => ''
                            ),
                            array(
                                'id' => 'footer_contact',
                                'label' => 'Enable Contact Section',
                                'default' => '1',
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'footer_contact_phone',
                                'label' => 'Phone',
                                'default' => '+(61) 123 456 7890',
                                'desc' => '',
                                'type' => 'input'
                            ),
                            array(
                                'id' => 'footer_contact_email',
                                'label' => 'Email',
                                'default' => 'Example@domain.com',
                                'desc' => '',
                                'type' => 'input'
                            ),
                            array(
                                'id' => 'footer_contact_fax',
                                'label' => 'Fax',
                                'default' => '+(61) 123 456 7890',
                                'desc' => '',
                                'type' => 'input'
                            ),
                        ),
                    )// end Footer
                )
            ),// end Advanced Options
            // Post Types
            array(
                'id' => 'panel_options',
                'label' => 'Post Types',
                'desc' => 'You can customize here mostly post type options including singular pages options.',
                'sections' => array(
                    // Post
                    array(
                        'id' => 'section_post',
                        'label' => 'Post',
                        'controls' => array(
                            array(
                                'id' => 'post_comment',
                                'label' => 'Post Comment',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'post_nextprev',
                                'label' => 'Next/Prev links',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                        ),
                    ),// end Post
                    // Page
                    array(
                        'id' => 'section_page',
                        'label' => 'Page',
                        'controls' => array(
                            array(
                                'id' => 'page_nextprev',
                                'label' => 'Next/Prev links',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                        ),
                    ),// end Page

                    // Portfolio
                    array(
                        'id' => 'section_portfolio',
                        'label' => 'Portfolio',
                        'controls' => array(
                            array(
                                'id' => 'portfolio_label',
                                'label' => 'Portfolio Label',
                                'default' => 'Portfolio',
                                'type' => 'input'
                            ),
                            array(
                                'id' => 'portfolio_slug',
                                'label' => 'Portfolio Slug',
                                'default' => 'portfolio-item',
                                'type' => 'input'
                            ),
                            array(
                                'id' => 'portfolio_sbar',
                                'label' => 'Layout',
                                'default' => 'full',
                                'type' => 'select',
                                'choices' => array('full' => 'No sidebar', 'left' => 'Left sidebar', 'right' => 'Right sidebar')
                            ),
                            
                            array(
                                'id' => 'sub_portfolio_single',
                                'type' => 'sub_title',
                                'label' => 'Single Post Options',
                                'default' => ''
                            ),
                            array(
                                'id' => 'portfolio_related',
                                'label' => 'Related Posts',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'portfolio_comment',
                                'label' => 'Comment',
                                'default' => 0,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'portfolio_nextprev',
                                'label' => 'Next/Prev links',
                                'default' => 1,
                                'type' => 'switch'
                            ),
                            array(
                                'id' => 'portfolio_page',
                                'label' => 'Portfolio Main Page',
                                'default' => 'pages',
                                'type' => 'select',
                                'choices' => array('0' => "Choose your page:") + $pages
                            ),
                        ),
                    )// end Portfolio
                )
            ),// end Post Types
            // Extras
            array(
                'id' => 'panel_extra',
                'label' => 'Extras',
                'desc' => 'Export Import and Custom CSS.',
                'sections' => array(
                    // Backup
                    array(
                        'type' => 'section',
                        'id' => 'section_backup',
                        'label' => 'Export/Import',
                        'desc' => '',
                        'controls' => array(
                            array(
                                'id' => 'backup_settings',
                                'label' => 'Export Data',
                                'desc' => 'Copy to Customizer Data',
                                'default' => '',
                                'type' => 'backup'
                            ),
                            array(
                                'id' => 'import_settings',
                                'label' => 'Import Data',
                                'desc' => 'Import Customizer Exported Data',
                                'default' => '',
                                'type' => 'import'
                            )
                        )
                    ), // end backup
                    // Custom
                    array(
                        'type' => 'section',
                        'id' => 'section_custom_css',
                        'label' => 'Custom CSS',
                        'desc' => '',
                        'controls' => array(
                            array(
                                'id' => 'custom_css',
                                'label' => 'Custom CSS (general)',
                                'default' => '',
                                'type' => 'textarea'
                            ),
                            array(
                                'id' => 'custom_css_tablet',
                                'label' => 'Tablet CSS',
                                'default' => '',
                                'type' => 'textarea',
                                'desc' => 'Screen width between 768px and 991px.'
                            ),
                            array(
                                'id' => 'custom_css_widephone',
                                'label' => 'Wide Phone CSS',
                                'default' => '',
                                'type' => 'textarea',
                                'desc' => 'Screen width between 481px and 767px. Ex: iPhone landscape.'
                            ),
                            array(
                                'id' => 'custom_css_phone',
                                'label' => 'Phone CSS',
                                'default' => '',
                                'type' => 'textarea',
                                'desc' => 'Screen width up to 480px. Ex: iPhone portrait.'
                            ),
                        )
                    ) // end Custom
                )
            ) // end Extras
        );

        return $option;
    }

endif;

// create instance of TT Theme Customizer
new TT_Theme_Customizer();
