<?php

class WPBakeryShortCode_Counter extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "text" => 'PROFESSIONALS',
            "pre_symbol" => "",
            "after_symbol" => "",
            "number"     => "1234",
            "icon_type" => "",
            "image" => "",
            "icon" => "",
            "extra_class" => ""
        ), $atts ) );

        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : wp_get_attachment_image($image);
        if( $pre_symbol != '' ) {
            $ps =  $pre_symbol;
        }

        $pre_symbol = $pre_symbol != '' ? $pre_symbol : '';
        $after_symbol = $after_symbol != '' ? $after_symbol : '';


        if( $icon_type == 'no_icon' ) {
        $result = "<div class='funfacts_ab $extra_class'>
                    <div class='fact'>
                        <h3>$pre_symbol<span class='counter'>$number</span>$after_symbol</h3>
                        <h5>$text</h5>
                    </div>
                </div>";
            }else{
                $result = "<div class='funfacts_ab $extra_class'>
                        <div class='fact'>
                               <h3>$image_src$pre_symbol<span class='counter'>$number</span>$after_symbol</h3>
                               <h6>$text</h6>
                           </div></div>";
            }

        return $result;
    }
}

vc_map( array(
            "name" => __("Counter", 'themeton'),
            "description" => __("Animated numbers", 'themeton'),
            "base" => "counter",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "pre_symbol",
                    "heading" => __("Pre Symbol", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "number",
                    "heading" => __("Number value", 'themeton'),
                    "value" => '1234'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "after_symbol",
                    "heading" => __("After Symbol", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "text",
                    "heading" => __("Text caption", 'themeton'),
                    "value" => 'PROFESSIONALS',
                    "holder" => "div"
                ),
                array(
                    'type' => 'dropdown',
                    "param_name" => "icon_type",
                    "heading" => __("Icon Type", 'themeton'),
                    "value" => array(
                        "No icon" => "no_icon",
                        "Icon font" => "icon_font",
                        "Icon image" => "icon_image"
                    ),
                    "std" => "icon_font",
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => __("Image Image", 'themeton'),
                    "value" => '',
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
                ),
                array(
                    'type' => 'iconpicker',
                    "param_name" => "icon",
                    "heading" => __("Icon", 'themeton'),
                    "description" => "",
                    'value' => 'fa fa-adjust', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    "std" => "mdi-action-account-box",
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );