<?php

class WPBakeryShortCode_Price_Table extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "title" => 'Basic',
            "price"     => "$58",
            "per"     => "per month",
            "button_text"     => "Purchase",
            "button_link"     => "#!",
            "standard" => "no",
            "extra_class" => ""
        ), $atts ) );
        $standard_class = '';
        $standard_class = $standard == 'yes' ?  'standard' : '';

        $content = wpb_js_remove_wpautop( $content, true );

        $result = '<div class="'.$extra_class.' pricing_table '.$standard_class.'">
                        <div class="inner">
                            <h4 class="pricing_title">'.$title.'</h4>
                            <div class="pricing_price">
                                <div class="round_box">
                                    <div class="price_inner"><span class="price">'.$price.'</span><br>'.$per.'</div>
                                </div>
                            </div>
                            '.$content.'
                            <a href="'.$button_link.'" class="purchase_btn">'.$button_text.'</a>
                        </div>
                    </div>';

        return $result;
    }
}

vc_map( array(
            "name" => __("Price Table", 'themeton'),
            "description" => __("Prices", 'themeton'),
            "base" => "price_table",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "title",
                    "heading" => __("Title", 'themeton'),
                    "value" => 'Basic',
                    "holder" => "div"
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "price",
                    "heading" => __("Price", 'themeton'),
                    "value" => '$58'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "per",
                    "heading" => __("Per?", 'themeton'),
                    "value" => 'per month'
                ),
                array(
                    'type' => 'textarea_html',
                    "param_name" => "content",
                    "heading" => __("Content", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_text",
                    "heading" => __("Button text", 'themeton'),
                    "value" => 'Purchase'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_link",
                    "heading" => __("Button Link", 'themeton'),
                    "value" => '#!'
                ),
                array(
                    "type" => "dropdown",
                    "param_name" => "standard",
                    "heading" => __("Standard?", 'themeton'),
                    "value" => array(
                        "No" => "no",
                        "Yes" => "yes"
                    ),
                    "std" => "no"
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );