<?php

class WPBakeryShortCode_Service_Box extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "icon_type" => "icon_font",
            "image" => "",
            "icon" => "mdi-action-account-box",
            "title" => 'SEO SERVICES',
            "description" => 'Abore et dolore magna aliqua enim daga minim veniam quis nostrud.',
            "button_text" => 'Learn more',
            "button_link"     => "#!",
            "extra_class" => ""
        ), $atts ) );

        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : wp_get_attachment_image($image);

        $result = "<div class='discover_services $extra_class'>
                    <div class='services_secs'>
                        <div class='service_box'>
                            <div class='row service_box_inner'>
                                <div class='row preview_box'>
                                    $image_src
                                    <h6>$title</h6>
                                </div>
                                <div class='row hover_box'>
                                    <div class='row m0 inner'>
                                        <h6>$title</h6>
                                        <div class='about'>$description</div>
                                        <a href='$button_link' class='read_more'>$button_text</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>";

        return $result;
    }
}

vc_map( array(
            "name" => __("Service Box", 'themeton'),
            "description" => __("", 'themeton'),
            "base" => "service_box",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "title",
                    "heading" => __("Title", 'themeton'),
                    "value" => 'SEO SERVICES',
                    "holder" => "div"
                ),
                array(
                    'type' => 'dropdown',
                    "param_name" => "icon_type",
                    "heading" => __("Icon Type", 'themeton'),
                    "value" => array(
                        "Icon font" => "icon_font",
                        "Icon image" => "icon_image"
                    ),
                    "std" => "icon_font",
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => __("Image Image", 'themeton'),
                    "value" => '',
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
                ),
                array(
                    'type' => 'iconpicker',
                    "param_name" => "icon",
                    "heading" => __("Icon", 'themeton'),
                    "description" => "",
                    'value' => 'fa fa-adjust', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    "std" => "mdi-action-account-box",
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
                ),
                array(
                    'type' => 'textarea',
                    "param_name" => "description",
                    "heading" => __("Description", 'themeton'),
                    "value" => 'Abore et dolore magna aliqua enim daga minim veniam quis nostrud.'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_text",
                    "heading" => __("Button Text", 'themeton'),
                    "value" => 'Learn More'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_link",
                    "heading" => __("Button Link", 'themeton'),
                    "value" => '#!'
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );