<?php

class tt_RecentPostsWidget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'recent_posts', 'description' => 'Recent posts.');
        parent::__construct(false, ': Recent Posts', $widget_ops);
    }

    function widget($args, $instance) {
        global $post;
        extract($args);
        extract(array_merge(array(
                    'title' => '',
                    'number_posts' => 5,
                    'exclude_posts' => '',
                        ), $instance));

        $q['posts_per_page'] = $number_posts;
        $q['ignore_sticky_posts'] = 1;
        $q['category__not_in'] = explode(',', $exclude_posts);

        query_posts($q);

        print($before_widget);

        if ($title != '')
            echo "" . $args['before_title'] . $title . $args['after_title'];

        while (have_posts()) : the_post();
            $thumb ='';

            if(has_post_thumbnail($post->ID)) {
                $thumb = '<div class="fleft post_img">
                              <a href="'.get_permalink().'">'.get_the_post_thumbnail($post->ID, 'blog-small-thumb').'</a>
                          </div>';
            }
            
            echo "<div class='row m0 recent_post'>";
            echo '<div class="fleft links">
                    <a href="'.get_permalink().'" class="post_title">'.get_the_title().'</a></br>
                    <a href="'.get_permalink().'" class="post_meta">'.get_the_time('F d, Y').'</a>
                </div>'.$thumb;
            echo '</div>';
        endwhile;
        
        print($after_widget);

        wp_reset_postdata();
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = sanitize_text_field($new_instance['title']);
        $instance['number_posts'] = sanitize_text_field($new_instance['number_posts']);
        $instance['exclude_posts'] = sanitize_text_field($new_instance['exclude_posts']);

        return $instance;
    }

    function form($instance) {

        //Output admin widget options form
        extract(shortcode_atts(array(
                    'title' => '',
                    'number_posts' => 5,
                    'exclude_posts' => '',
                        ), $instance));
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php _e("Title:", "themeton"); ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($title); ?>"  />
        </p>
        <p>
            <input type="text" id="<?php echo esc_attr($this->get_field_id('number_posts')); ?>" name="<?php echo esc_attr($this->get_field_name('number_posts')); ?>" value="<?php echo esc_attr($number_posts); ?>" size="3" />
            <label for="<?php echo esc_attr($this->get_field_id('number_posts')); ?>">Number of posts to show</label>
        </p>
        <p>
            <input type="text" id="<?php echo esc_attr($this->get_field_id('exclude_posts')); ?>" name="<?php echo esc_attr($this->get_field_name('exclude_posts')); ?>" value="<?php echo esc_attr($exclude_posts); ?>" size="3" />
            <label for="<?php echo esc_attr($this->get_field_id('exclude_posts')); ?>">Exclude category ID (optional)</label>
            <br><small>You can include multiple categories with comma separation.</small>
        </p>

        <?php
    }

}

add_action('widgets_init', create_function('', 'return register_widget("tt_RecentPostsWidget");'));
